Name: licq
Version: 1.3.2
Release: 4
License: GPL
Source: http://prdownloads.sourceforge.net/licq/licq-%{version}.tar.bz2
URL: http://www.licq.org/
Summary: Licq - A graphical ICQ Client for Linux
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: qt-devel
BuildRequires: gpgme-devel libgpg-error-devel 
BuildRequires: openssl-devel
BuildRequires: desktop-file-utils
Patch1: licq-1.3.2-gcc-4_1-patch
Patch2: licq-1.3.2-libdir.patch

%package kde
Summary: Licq plugin for KDE
Group: Applications/Internet
Requires: %name = %version-%release
BuildRequires: kdelibs-devel

%package osd
Summary: OSD (On Screen Display) plugin for Licq
Group: Applications/Internet
Requires: %name = %version-%release
BuildRequires: xosd-devel

%description
Licq is a ICQ Client for the common ICQ network. It provides a graphical
user interface based on QT and is enhanceable with many powerful plugins.
For more information visit Licq's Homepage http://www.licq.org

%description kde
This is the KDE based GUI plugin for Licq.
To run this plugin, you will have to
issue the command "licq -p kde-gui"

%description osd
This is a small plugin, which uses libxosd2 to
display new arriving messages as OSD (On Screen Display)
text on your desktop.

%prep
%setup -q
%patch1 -p1 -b .gcc-4_1
%patch2 -p1 -b .libdir

#remove cvs stuff
rm -rf `find . -name CVS`

%build
%configure
make
cd plugins
  cp -r qt-gui kde-gui
  cd kde-gui
  aclocal
  automake
  perl am_edit {src/,share/,po/}Makefile.in
  autoconf
  export KDEDIR=/usr/%_lib
  %configure --with-kde --libdir=%{_libdir}/licq
  make
cd ../qt-gui
  aclocal
  automake
  perl am_edit {src/,share/,po/}Makefile.in
  autoconf
  %configure --libdir=%{_libdir}/licq
  make
  #create Qt qm files
  cd po
  lrelease *.ts
cd ../../osd
  rm -rf autom4te.cache
  ./build
  %configure --libdir=%{_libdir}/licq
  make

%install
rm -rf $RPM_BUILD_ROOT
export DESTDIR="$RPM_BUILD_ROOT"
make install
cd plugins/qt-gui
desktop-file-install --vendor fedora                            \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        --add-category X-Fedora                                 \
        share/licq.desktop
make install
%find_lang licq
cd ../kde-gui
make install
cd ../osd
make install
%find_lang licq_osd_plugin

#remove devel 
rm -rf $RPM_BUILD_ROOT/%{_includedir}/licq
rm -rf $RPM_BUILD_ROOT/%{_libdir}/licq/*.la
#remove licq.desktop installed by makefile
rm -f $RPM_BUILD_ROOT/%{_libdir}/share/applnk/Internet/licq.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files -f plugins/qt-gui/licq.lang
%defattr(-,root,root)
%{_bindir}/licq
%{_bindir}/viewurl-lynx.sh
%{_bindir}/viewurl-mozilla.sh
%{_bindir}/viewurl-ncftp.sh
%{_bindir}/viewurl-netscape.sh
%{_bindir}/viewurl-opera.sh
%{_bindir}/viewurl-w3m.sh
%dir %{_libdir}/licq
%{_libdir}/licq/licq_qt-gui.so
%{_datadir}/licq
%lang(bg) %{_datadir}/licq/qt-gui/locale/bg_BG.qm
%lang(cs) %{_datadir}/licq/qt-gui/locale/cs_CZ.qm
%lang(cs) %{_datadir}/licq/qt-gui/locale/cs.qm
%lang(de) %{_datadir}/licq/qt-gui/locale/de.qm
%lang(es) %{_datadir}/licq/qt-gui/locale/es.qm
%lang(fi) %{_datadir}/licq/qt-gui/locale/fi.qm
%lang(fr) %{_datadir}/licq/qt-gui/locale/fr.qm
%lang(hu) %{_datadir}/licq/qt-gui/locale/hu_HU.qm
%lang(it) %{_datadir}/licq/qt-gui/locale/it.qm
%lang(ja) %{_datadir}/licq/qt-gui/locale/ja_JP.eucJP.qm
%lang(pl) %{_datadir}/licq/qt-gui/locale/pl.qm
%lang(pt) %{_datadir}/licq/qt-gui/locale/pt_BR.qm
%lang(pt) %{_datadir}/licq/qt-gui/locale/pt.qm
%lang(ru) %{_datadir}/licq/qt-gui/locale/ru.qm
%lang(sr) %{_datadir}/licq/qt-gui/locale/sr.qm
%lang(sv) %{_datadir}/licq/qt-gui/locale/sv.qm
%lang(tr) %{_datadir}/licq/qt-gui/locale/tr.qm
%lang(uk) %{_datadir}/licq/qt-gui/locale/uk.qm
%{_datadir}/applications/fedora-licq.desktop
%doc doc/ upgrade/ ChangeLog README* LICENSE

%files kde
%defattr(-,root,root)
%{_libdir}/licq/licq_kde-gui.so
%doc plugins/kde-gui/README.KDE

%files osd -f plugins/osd/licq_osd_plugin.lang
%defattr(-,root,root)
%{_libdir}/licq/licq_osd.so
%doc plugins/osd*/{AUTHORS,TODO,README,changelog}

%changelog
* Mon Jan 16 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-4
- compile on x86-64

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-3
- remove devel stuff with rm -rf

* Thu Jan 12 2006 Peter Vrabec <pvrabec@redhat.com> 1.3.2-2
- compile with gcc-4.1.0

* Wed Nov 23 2005 Peter Vrabec <pvrabec@redhat.com> 1.3.2-1
- initial package 

